HomeGuidesAPI Reference
GuidesAPI ReferenceGitHubAirheads Developer CommunityLog In
API Reference

Add a new Syslog Client Configuration

The UUID of a successfully added Syslog Client Configuration will be returned

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Syslog Client Configuration To create a Syslog Client Configuration attributes with:

  • description - describes this Syslog object.
  • name - names this Syslog object. Defaults to 514.
  • facility - facility of messages to log.
  • logging_persistent_storage - a list, which contains:
  • severity - Preserves logs of the specified severity and higher in persistent storage.
  • enable - Enable logging to persistent storage on an ongoing basis.
  • entity_list - list of entities. Each contains:
  • host - address of remote syslog server. Specify a hostname, IPv4 or IPv6 address.
  • port - optional internet port for host.
  • severity - severity of messages to log.
  • include_auditable_events - Specifies whether auditable events should be transmitted to the remote syslog server..
  • tls_auth_mode - TLS authentication mode used to authenticate the server
  • transport - Transport layer protocol used to forward messages to the server.
  • unsecure_tls_renegotiation - Enable TLS session with syslog server which does not support secure renegotiation.

To create a Syslog Client Configuration's associations with:

  • fabric_uuids: UUIDs of any fabrics with which this configuration is associated.
  • switch_uuids: UUIDs of any switches with which this configuration is associated.
string
string
required
entry_list
array of objects
required
length ≥ 1
entry_list*
string
required

Hostname in IPv4, IPv6 or hostname format

integer
required
1 to 65535
Defaults to 514

UDP port # for host

string
enum
required

One of:
alert: Forwards syslog messages with the severity of alert (6) and emergency (7).
crit: Forwards syslog messages with the severity of critical (5) and above.
debug: Forwards syslog messages with the severity of debug (0) and above.
emerg: Forwards syslog messages with the severity of emergency (7) only.
err: Forwards syslog messages with the severity of err (4) and above
info: Forwards syslog messages with the severity of info (1) and above
notice: Forwards syslog messages with the severity of notice (2) and above.
warning: Forwards syslog messages with the severity of warning (3) and above.

boolean
Defaults to true

Specifies whether auditable events should be transmitted to the remote syslog server.

boolean
Defaults to true

Enable TLS session with syslog server which does not support secure renegotiation.

string
enum

TLS authentication mode used to authenticate the server

Allowed:
string
enum

Transport layer protocol used to forward messages to the server.

Allowed:
switch_uuids
array
required

UUIDs of switches this Syslog Client Configuration is applied to. To exclude, specify value as the empty array: []

switch_uuids*
fabric_uuids
array
required

UUIDs of fabrics this Syslog Client Configuration is applied. When using fabric_uuid the configuration will be applied to all switches in the fabric. If the fabric is expanded the new switch will automatically pick up the new settings covered by fabric_uuid. To exclude, specify value as the empty array: []

fabric_uuids*
boolean

Whether or not Management Software uses this Syslog configuration. To exclude, specify value as False.

string
enum
required

One of:
LOCAL0, LOCAL1, LOCAL2, LOCAL3, LOCAL4, LOCAL5, LOCAL6, LOCAL7

logging_persistent_storage
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json; version=1.0